| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Functions
OgreMemorySTLAllocator.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::STLAllocator< T, AllocPolicy >
struct | Ogre::STLAllocator< T, AllocPolicy >::rebind< U >
| the standard rebind mechanism More...
struct | Ogre::STLAllocatorBase< T >
| Wrapper class for operating as an STL container allocator. More...
struct | Ogre::STLAllocatorBase< const T >

## Namespaces
| Ogre

## Functions
template<typename T , typename T2 , typename P >
bool | Ogre::operator!= (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++) More...
template<typename T , typename P , typename OtherAllocator >
bool | Ogre::operator!= (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++) More...
template<typename T , typename T2 , typename P >
bool | Ogre::operator== (STLAllocator< T, P > const &, STLAllocator< T2, P > const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++) More...
template<typename T , typename P , typename OtherAllocator >
bool | Ogre::operator== (STLAllocator< T, P > const &, OtherAllocator const &)
| determine equality, can memory from another allocator be released by this allocator, (ISO C++) More...